Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.security
Class URLCallbackHandler

    java.lang.Object
      weblogic.security.URLCallbackHandler

All Implemented Interfaces:
  CallbackHandler

    public class URLCallbackHandler

extends Object
implements CallbackHandler

A CallbackHandler used for returning a username, password, URL, and ContextHandler.

Constructor Summary
`URLCallbackHandler(String user, byte[] pass)` Create a callback handler.
`URLCallbackHandler(String user, byte[] pass, String URL)` Create a callback handler with provider URL.
`URLCallbackHandler(String user, String pass)` Deprecated.
`URLCallbackHandler(String user, String pass, String URL)` Deprecated.

Method Summary
`void` | `handle(Callback[] callbacks)` Handle the callbacks.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### URLCallbackHandler

    public URLCallbackHandler(String user,
                              String pass)

  Deprecated.

  Create a callback handler.

  Parameters:
    `user` - the username
    `pass` - the password

### URLCallbackHandler

    public URLCallbackHandler(String user,
                              byte[] pass)

  Create a callback handler.

  Parameters:
    `user` - the username
    `pass` - the password

### URLCallbackHandler

    public URLCallbackHandler(String user,
                              String pass,
                              String URL)

  Deprecated.

  Create a callback handler with provider URL.

  Parameters:
    `user` - the username
    `pass` - the password
    `URL` - the provider URL

### URLCallbackHandler

    public URLCallbackHandler(String user,
                              byte[] pass,
                              String URL)

  Create a callback handler with provider URL.

  Parameters:
    `user` - the username
    `pass` - the password
    `URL` - the provider URL

Method Detail

### handle

    public void handle(Callback[] callbacks)
                throws UnsupportedCallbackException

  Handle the callbacks. When no URL was specified the default URL is supplied.

  Specified by:
    `handle` in interface `CallbackHandler`
  Throws:
    `UnsupportedCallbackException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD